# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

apiVersion: apps/v1
kind: Deployment
metadata:
  name: optimizer
  namespace: {{ .Values.global.qosNamespace }}
  labels:
    app: optimizer
spec:
  selector:
    matchLabels:
      app: optimizer
  replicas: 1
  template:
    metadata:
      labels:
        app: optimizer
    spec:
      # TODO: disable hostNetwork and re-enable runAsNonRoot as soon
      # as the optimizer service supports it.
      hostNetwork: true
      securityContext:
      # runAsNonRoot: true
      imagePullSecrets:
      {{ include "imagePullSecrets" . | indent 8 }}
      containers:
        - image: {{ include "qosImage" . | quote }}
          imagePullPolicy: {{ include "imagePullPolicy" . }}
          name: optimizer
          securityContext:
            allowPrivilegeEscalation: false
          resources:
          {{- toYaml .Values.resources | nindent 12 }}
          ports:
            - containerPort: 80
      serviceAccountName: {{ .Values.serviceAccount.name }}
      terminationGracePeriodSeconds: 10
